--英雄加成
local div_heroAdd_str = [[
<mx:Canvas id="div_heroAdd_id" xmlns:mx="http://www.adobe.com/2006/mxml" width="720" height="1280" xmlns:main="view.main.*">
	<mx:Image source="assets/images/popBg02.png" width="720" height="1280"/>
	<mx:Button styleName="btn02Close" id="closeBtn" x="611" y="35" onclick="heroAddClose_btnClick"/>
	<mx:Label text="英雄加成" styleName="brown01" x="168" y="59" fontSize="30" width="340" textAlign="center"/>
	<mx:Canvas x="17" y="136" height="1080" setslidetype="1">
	<mx:VBox verticalGap="2" verticalScrollPolicy="off">
		{for i = 1 , #arg[1] do}
			<mx:Canvas width="687" mouseChildren="0" mouseThrough="true">
				<mx:Image source="assets/images/th.png"/>
				<mx:Label text="${arg[1][i]}" fontSize="24" styleName="white02" width="687" textAlign="center"/>
				<mx:VBox verticalGap="0" y="50">
				{for j = 1 , #arg[i+1] do
					local id=arg[i+1][j]}
					<mx:Canvas>
						{if j%2 == 0 then}
						<mx:Image source="assets/images/td.png" y="-2" mouseThrough="true"/>
						{end}
						<mx:Label text="${CUserData:getFuncListByid(id,4)}" styleName="brown01" fontSize="24" x="80"/>
						<mx:Label text="${getEffValueByIDAndValue(id,heroAddTable[id])}" styleName="brown01" fontSize="24" x="500" width="100" textAlign="right"/>
					</mx:Canvas>
				{end}
				</mx:VBox>
			</mx:Canvas>
		{end}
	</mx:VBox>
	</mx:Canvas>
</mx:Canvas>
]]

local titleTable={"兵种","部队","建设"}--
--local soldierTable={711,712,713,721,722,723,301,302,303,311,312,313,221,222,223,401,403,407,408,409}
--local soldierTable={711,712,713,714,721,722,723,724,301,302,303,311,312,313,221,222,223,401,403,407,408,409}
--local troopTable={335,345,355,391,392,393,394}
--local buildTable={41,6,232,732,410,5,43,101,102,103,104,105,741,742}
--local soldierTable={711,712,713,721,722,723,301,302,303,311,312,313,221,222,223,401,403,407,408,409}
--local troopTable={335,345,355,391,392,393,394}
--local buildTable={41,6,232,732,410,5,43,101,102,103,104,105,741,742}
local soldierTable={701,702,703,711,712,713,721,722,723,301,302,303,311,312,313,331,332,333,341,342,343,351,352,353,221,222,223,401,403,407,408,409,714}--,701,702,703
local troopTable={1,224,225,551,335,345,355,391,392,393,394}
local buildTable={405,804,41,6,232,732,410,5,43,101,102,103,104,105,741,742}

heroAddTable=nil
local function addValueToTable(id,value)
	id=tonumber(id)
	value=tonumber(value)
	if heroAddTable[id]~=nil then
		heroAddTable[id]=heroAddTable[id]+value
	end
end

function heroAdd_show()
	heroAddTable={}
	for i = 1 , #soldierTable do
		heroAddTable[soldierTable[i]]=0
	end
	for i = 1 , #troopTable do
		heroAddTable[troopTable[i]]=0
	end
	for i = 1 , #buildTable do
		heroAddTable[buildTable[i]]=0
	end
--	for i = 1 , #runeTable do
--		heroAddTable[runeTable[i]]=0
--	end
	--装备
	for i = 1 , 8 do
		local t=CUserData:getEquipUpgListByid(i)
		addValueToTable(t.F3,t.F4)
		addValueToTable(t.F5,t.F6)
		addValueToTable(t.F7,t.F8)
		addValueToTable(t.F9,t.F10)
	end
	
	--宝石
	for i = 1 , 8 do
		local stoneID=CUserData["m_nStone"..i..1]
		if stoneID>0 then
			local t=CUserData:getGemConfigByItem(stoneID)
			addValueToTable(t.F3,t.F4)
			addValueToTable(t.F5,t.F6)
		end
		stoneID=CUserData["m_nStone"..i..2]
		if stoneID>0 then
			local t=CUserData:getGemConfigByItem(stoneID)
			addValueToTable(t.F3,t.F4)
			addValueToTable(t.F5,t.F6)
		end
	end
	
	--技能
	for i = 1 , #CUserData.m_aSkill do
		local t=CUserData:getSkillUpgListByid(CUserData.m_aSkill[i][1],CUserData.m_aSkill[i][2])
		addValueToTable(t.F4,t.F5)
		addValueToTable(t.F6,t.F7)
		addValueToTable(t.F8,t.F9)
	end
	--圣物
	if CUserData.m_nItem99>0 then
		local t=CUserData:getRelicConfigByid(CUserData.m_nItem99)
		addValueToTable(t.F6,t.F7)
		addValueToTable(t.F8,t.F9)
		addValueToTable(t.F10,t.F11)
		addValueToTable(t.F12,t.F13)
	end
	
	--符文
	for i=1,8 do
		local arune = rune_query(i)
		for _,v in pairs(arune) do
			if v > 0 then 
				local t = cfgmgr_query(G_DE_CFG_RUNE,v)
				if t ~= nil then 
					addValueToTable(t.F1,t.F2)
					addValueToTable(t.F3,t.F4)
					addValueToTable(t.F5,t.F6)
					addValueToTable(t.F7,t.F8)	
				end
			end
		end
		local asetList = cfgmgr_querylist(G_DE_CFG_RUNE_SET)
		for _,v in pairs(asetList ) do
			local nsetId 		 = jdtonumber(v["F0"])
			local nsetEquipIndex = jdtonumber(v["F2"])
			if nsetEquipIndex == i then 
				local aset = {jdtonumber(v["F3"]),jdtonumber(v["F4"]),jdtonumber(v["F5"]),jdtonumber(v["F6"]) }
				local nenabled = runeEnch_checkSet(arune,aset) 
				if 1 == nenabled then 
					addValueToTable(v.F7,v.F8)
					addValueToTable(v.F9,v.F10)
					addValueToTable(v.F11,v.F12)
					addValueToTable(v.F13,v.F14)	
				end
			end
		end
	end
	
	--星座圣物/节日圣物
	for i=1,2 do
		if CUserData.m_aFaneItem[i] ~= nil and CUserData.m_aFaneItem[i] > 0 then 
			local nitem = CUserData.m_aFaneItem[i]
			local acfg  = cfgmgr_query(G_DE_CFG_RELIC,nitem)
			if acfg ~= nil then 
				for j=6,12,2 do
					local nbuffId = jdtonumber(acfg["F"..j] )
					local nbuffVal= jdtonumber(acfg["F"..(j+1)] )
					if nbuffId > 0 and nbuffVal > 0 then 
						addValueToTable(nbuffId,nbuffVal)
					end
				end
			end
		end
	end 
	
	flextodiv(div_heroAdd_str,{titleTable,soldierTable,troopTable,buildTable},"frame_more")
end

function heroAddClose_btnClick()
	deldiv("frame_more","div_heroAdd_id")
end